import requests
from src.lwb.scraper import EASYSQUARE_HEADERS, EASYSQUARE_PARAMS

def scrape_image(url, owner):
    session = requests.Session()

    if owner == "BGL":
        response = session.get(url)
        if response.status_code != 200:
            print(f"Fehler beim Abrufen von BGL: {response.status_code}")
            # return empty image
            return b''

    if owner == "LWB":  
        response = session.get(url, headers=EASYSQUARE_HEADERS, params=EASYSQUARE_PARAMS)
        if response.status_code != 200:
            print(f"Fehler beim Abrufen von Easysquare: {response.status_code}")
            # return empty image
            return b''
    
    # get image from response

    return response.content
